// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.datamodel;

import java.util.EventListener;

/** Methods will be called on whatever thread initiated the change in question. */
public interface ViewListener extends EventListener {
  public <T> void propertyChanged(ViewPropertyChangedEvent<T> evt);
  /** Called after all propertyChanged() calls have been made to all listeners for a single
  transaction. */
  public void transactionCompleted(ViewTransactionCompletedEvent evt);
}
