// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.datamodel;

import com.google.common.base.Preconditions;
import java.util.EventObject;

public class ViewTransactionCompletedEvent extends EventObject {
  private static final long serialVersionUID = 1L;

  public ViewTransactionCompletedEvent(ObservableView source) {
    super(source);
    Preconditions.checkNotNull(source);
  }

  @Override
  public ObservableView getSource() {
    return (ObservableView) super.getSource();
  }
}
