// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.datamodel.gwttest;

import com.google.common.collect.ImmutableList;
import com.google.common.collect.Lists;
import java.util.List;

// TODO[cc]: Get rid of this once the rest of the module is actually GWT-compatible.
public class ExternalTestClass {
  private final String foo;

  public ExternalTestClass(String foo) {
    List<String> list = Lists.newArrayList();
    list.add("A");
    list.add("B");
    list.add("C");
    ImmutableList<String> list2 = ImmutableList.copyOf(list);
    this.foo = foo + "/" + list2.toString();
  }

  public String getFoo() {
    return foo;
  }
}
