// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.flow;

/**
 * A {@link ValueProcessor} for which the result is another {@code Flow} rather than an
 * immediately available plain value.
 */
public abstract class IndirectProcessor<I,O> extends ValueProcessor<I,Flow<O>> {
  @Override
  public abstract Flow<O> process(I input);
}
