// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.project.formulabar;

import com.google.common.base.Preconditions;
import org.netbeans.api.lexer.TokenId;

public enum DataValueTokenID implements TokenId {
  DEFAULT("default");

  private final String primaryCategory;

  private DataValueTokenID(String primaryCategory) {
    Preconditions.checkNotNull(primaryCategory);
    this.primaryCategory = primaryCategory;
  }

  @Override
  public String primaryCategory() {
    return primaryCategory;
  }
}
