// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.uiutil;

import java.awt.EventQueue;

// TODO[cc]: Put this in UIUtil. Avoid the duplication with identical methods in CommonUIUtil.
public final class ThreadUtil {
  private ThreadUtil() { }

  public static void checkNotOnEDT() {
    if (EventQueue.isDispatchThread())
      throw new IllegalStateException("This method may not be called on the EDT");
  }

  public static void checkOnEDT() {
    if (!EventQueue.isDispatchThread())
      throw new IllegalStateException("This method may only be called on the EDT");
  }
}
