// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.csv;

import java.io.IOException;

public abstract class Parser {
  public abstract int getBranchCount();
  public abstract Parser advance(final Config config, final Output output, final char c)
      throws IOException, BadParseException;
  public abstract Parser flush(final Output output);
}
