/* Eirik's Miscellaneous Swing Utilities.
   Written by Eirik Bakke 2013-2016, ebakke@alum.mit.edu. */

package com.sieuferd.uiutil.api;

public interface CaretInfoProvider {
  /**
   * @param top true to test if the text caret is on the topmost line, false to test if it is on
   *         the bottommost line
   * @return true if the text caret is on the topmost/bottommost line, false otherwise or in case
   *         the caret position cannot be determined
   */
  boolean isTextCaretAtEdge(boolean top);
}
