// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.util;

import com.google.common.collect.ImmutableList;
import com.google.common.collect.ImmutableSet;
import java.util.Set;

public final class Functional {
  private Functional() { }

  public static <E> ImmutableList<E> cons(Iterable<E> col, E elm) {
    return ImmutableList.<E>builder().addAll(col).add(elm).build();
  }

  // TODO[cc]: Use Sets.union instead.
  public static <E> ImmutableSet<E> cons(Set<E> set, E elm) {
    return ImmutableSet.<E>builder().addAll(set).add(elm).build();
  }
}
