// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.util;

/** For debugging use only. */
public final class NotifyCounter {
  private NotifyCounter() { }

  private static int addCount, removeCount;

  public static synchronized void increment(String msg, boolean add) {
    if (add) {
      addCount++;
    } else {
      removeCount++;
    }
    System.out.println(msg + " got " + (add ? "add" : "remove") + ": +"
        + addCount + " -" + removeCount + " =" + (addCount - removeCount));
  }
}
