// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.application;

import java.util.logging.Level;
import junit.framework.Test;
import org.netbeans.junit.NbModuleSuite;
import org.netbeans.junit.NbTestCase;

public class ApplicationTest extends NbTestCase {
  public static Test suite() {
    System.setProperty("sieuferd.autoupdate", "false");
    return NbModuleSuite.createConfiguration(ApplicationTest.class).
        gui(false).
        /* TODO[pd]: Re-enable this (currently fails due to a warning in
                 org.netbeans.core.network.proxy.NetworkProxyReloader). */
        // failOnMessage(Level.WARNING).
        failOnException(Level.INFO).

        // TODO[pd]: Remove when bug #225255 is fixed.
        // See https://netbeans.org/bugzilla/show_bug.cgi?id=225255
        enableClasspathModules(false).
        clusters(".*").

        suite();
  }

  public ApplicationTest(String n) {
    super(n);
  }

  public void testApplication() {
    // pass if there are merely no warnings/exceptions
    /* Example of using Jelly Tools with gui(true):
    new ActionNoBlock("Help|About", null).performMenu();
    new NbDialogOperator("About").closeByButton();
    */
  }
}
