// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.project.formulabar;

import org.netbeans.api.editor.mimelookup.MimeRegistration;
import org.netbeans.spi.editor.bracesmatching.BracesMatcher;
import org.netbeans.spi.editor.bracesmatching.BracesMatcherFactory;
import org.netbeans.spi.editor.bracesmatching.MatcherContext;
import org.netbeans.spi.editor.bracesmatching.support.BracesMatcherSupport;

@MimeRegistration(
    mimeType=ExpressionLanguageConfig.MIME_TYPE, service=BracesMatcherFactory.class,
    /* Set the position to avoid a "not all children marked with a position" warning. Position
    1000 did not work, but zero did. Note that a clean build seems to be necessary for testing the
    effects of changing the position here. */
    position=0)
public class ExpressionBracesMatcher implements BracesMatcherFactory {
  @Override
  public BracesMatcher createMatcher(MatcherContext mc) {
    return BracesMatcherSupport.characterMatcher(mc, -1, -1, new char[] { '(', ')' });
  }
}
