// The SIEUFERD project by Eirik Bakke 2010-2016, ebakke@alum.mit.edu.
package com.sieuferd.database.dialect;

import com.sieuferd.database.SQLFragment;
import java.sql.Connection;
import java.sql.SQLException;

// TODO[pd]: Consider basing this on NuoDB's Hibernate dialect instead.
public class NuoDBBackendDialect extends GenericJDBCBackendDialect {
  public NuoDBBackendDialect(Connection connection) throws SQLException {
    super(connection);
  }

  @Override
  public String getDisplayName() {
    return "NuoDB";
  }

  @Override
  public SQLFragment getSingleRowDummyTable() {
    return SQLFragment.create("dual");
  }

  @Override
  public boolean supportsGetBestRowIdentifier() {
    // See http://dev.nuodb.com/community/client-drivers/jdbc-getbestrowidentifier-not-implemented
    return false;
  }
}
